## rolldice 1.8

=== Makefile ===
# Edited for Debian GNU/Linux
DESTDIR = 
BIN = $(DESTDIR)/usr/games
MAN = $(DESTDIR)/usr/man/man6
CC = gcc
OBJFILES = main.o rolldice.o
LIBS = -lm
INCLUDES = rolldice.h

all: rolldice
	
rolldice: $(OBJFILES)
	$(CC) $(OBJFILES) -g -o rolldice $(LIBS)
	
main.o: main.c $(INCLUDES)
	$(CC) -g -c main.c

rolldice.o: rolldice.c $(INCLUDES)
	$(CC) -g -c rolldice.c

install: $(EXECFILES)
	install -d $(BIN) $(MAN)
	install ./rolldice $(BIN)
	strip $(BIN)/rolldice
	gzip -c ./rolldice.6 > rolldice.6.gz
	install -m644 rolldice.6.gz $(MAN)

clean:
	rm ./rolldice $(OBJFILES) rolldice.6.gz

## rolldice 1.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Edited for Debian GNU/Linux
 DESTDIR = 
 BIN = $(DESTDIR)/usr/games
-MAN = $(DESTDIR)/usr/man/man6
+MAN = $(DESTDIR)/usr/share/man/man6
 CC = gcc
 OBJFILES = main.o rolldice.o
 LIBS = -lm
@@ -22,8 +22,8 @@
 	install -d $(BIN) $(MAN)
 	install ./rolldice $(BIN)
 	strip $(BIN)/rolldice
-	gzip -c ./rolldice.6 > rolldice.6.gz
+	gzip -9 -c rolldice.6 > rolldice.6.gz
 	install -m644 rolldice.6.gz $(MAN)
 
 clean:
-	rm ./rolldice $(OBJFILES) rolldice.6.gz
+	rm -f ./rolldice $(OBJFILES) rolldice.6.gz

=== debian/changelog ===
rolldice (1.10-5) unstable; urgency=low

  * debian/control
    - Bump debian standards version to 3.8.4 (No changes)
    - Add ${misc:Depends} to Depends:
  * debian/compat
    - Bump debhelper compat version to 5
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/copyright
    - Fix the symlink to GPL-2

 -- Luis Uribe <acme@eviled.org>  Sat, 24 Apr 2010 16:38:32 -0500

rolldice (1.10-4) unstable; urgency=low

  * debian/rules
    - Correct debian-rules-ignores-make-clean-error lintian warning.
    - Remove commented dh_*
    - Remove dh_installmanpages.
    - Manage patches with quilt
  * debian/control
    - Bump debian standards version to 3.7.3 (No changes)
    - Add quilt to Build-Depends:
  * debian/copyright
    - Rewrite the copyright notice.
  * debian/patches
    - Add 01_remove_strip.diff. Remove the stripping of the package from
      upstream (Closes: #437919)
  * debian/watch
    - Add file. 

 -- Luis Uribe <acme@eviled.org>  Mon, 26 May 2008 22:43:35 -0500

rolldice (1.10-3) unstable; urgency=low

  * New maintainer. Closes: #377870
  * Appling patch for biased result by Mark Wooding <mdw@nsict.org>
    Closes: #221441

 -- Luis Uribe <acme@eviled.org>  Thu, 07 Sep 2006 21:33:37 -0500

rolldice (1.10-2) unstable; urgency=low

  * QA Upload (NMU Ack, Closes: #348801)
  * Set maintainer to QA Group (Orphaned: #377870) 
  * Update debian/copyright (Closes: #302981)
  * Higher compat level, B-D on at least debhelper 4
  * Make package lintian clean.
  * Conforms to latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 31 Jul 2006 07:18:48 +0200

rolldice (1.10-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Rebuild against non-ancient debhelper to get rid of /usr/doc symlink.
    (Closes: #345281)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 19 Jan 2006 01:38:32 +0100

rolldice (1.10-1) unstable; urgency=low

  * Fixes problem with urandom always being opened, no matter what the user
    wanted.  closes: Bug#121077

 -- Stevie Strickland <sstrickl@cc.gatech.edu>  Sun, 25 Nov 2001 13:38:26 -0500

rolldice (1.9-1) unstable; urgency=low

  * Fixes problems with the result of parse_string being NULL due to
    problems parsing the dice string, but that never being checked.
    closes: Bug#83308

 -- Stevie Strickland <sstrickl@cc.gatech.edu>  Sat, 10 Mar 2001 15:16:03 -0500

rolldice (1.8-2) unstable; urgency=low

  * GPG with rfc1991 option creates a bad signature, so I had to repackage.

 -- Stevie Strickland <sstrickl@cc.gatech.edu>  Tue, 19 Oct 1999 17:10:45 -0400

rolldice (1.8-1) unstable; urgency=low

  * Fixed segfault when defaulting to rolling one dice (e.g. d6, d%)
    closes: Bug#43673, Bug#46864

 -- Stevie Strickland <sstrickl@cc.gatech.edu>  Sun, 17 Oct 1999 11:46:50 -0400

rolldice (1.7-1) unstable; urgency=low

  * Changed parser code, much cleaner now (I think :)
  * Added ability to use multiple dice strings

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Sun, 28 Mar 1999 21:30:04 -0500

rolldice (1.6-1) unstable; urgency=low

  * Added ability to drop a number of lowest die rolls, plus made 
    /dev/urandom the default method, and dropped the method that uses
    rand()

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Sat, 27 Mar 1999 20:21:34 -0500

rolldice (1.5-1) unstable; urgency=low

  * Added ability to print out each separate die roll

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Wed, 10 Mar 1999 13:25:42 -0500

rolldice (1.4-1) unstable; urgency=low

  * Added ability to use "d#" (roll one #-sided die) and "d%" 
    (roll percentage die) strings

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Fri, 12 Feb 1999 22:00:22 -0500

rolldice (1.3-1) unstable; urgency=low

  * Fixed documentation, is now as it should be...

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Wed, 27 Jan 1999 12:32:42 -0500

rolldice (1.2-1) unstable; urgency=low

  * Added /dev/(u)random code, due to the *perfect* request

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Wed, 27 Jan 1999 05:15:42 -0500

rolldice (1.1-2) unstable; urgency=low

  * Fixes problems with the copyright file included.

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Sun, 24 Jan 1999 18:50:04 -0500

rolldice (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Stevie Strickland <sstrickl@resnet.gatech.edu>  Sun, 24 Jan 1999 18:35:50 -0500

=== debian/control ===
Source: rolldice
Section: games
Priority: optional
Maintainer: Luis Uribe <acme@eviled.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.0), quilt
Homepage: http://gitorious.org/debian-packages/rolldice

Package: rolldice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A virtual dice roller
 rolldice is a virtual dice roller that takes a string on the command 
 line in the format  of some fantasy role playing games like Advanced 
 Dungeons & Dragons [1] and returns the result of the dice rolls.
 .
 [1] Advanced Dungeons & Dragons is a registered trademark of TSR, Inc.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) 
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/rolldice
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README CREDITS
	dh_installchangelogs Changelog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
# rolldice is not maintained upstream anymore.

## rolldice 1.14

=== Makefile ===
# Edited for Debian GNU/Linux
DESTDIR = 
BIN = $(DESTDIR)/usr/games
MAN = $(DESTDIR)/usr/share/man/man6
CC = gcc
OBJFILES = main.o rolldice.o
LIBS = -lm -lreadline
INCLUDES = rolldice.h


MAJOR_VERSION = $(shell grep MAJOR_VERSION version.h | cut -d" " -f6 | cut -f1 -d";")
MINOR_VERSION = $(shell grep MINOR_VERSION version.h | cut -d" " -f6 | cut -d";" -f1)
VERSION = $(MAJOR_VERSION).$(MINOR_VERSION)

all: rolldice man

rolldice: $(OBJFILES)
	$(CC) $(OBJFILES) -g -o rolldice $(LIBS)

main.o: main.c $(INCLUDES)
	$(CC) -g -c main.c

rolldice.o: rolldice.c $(INCLUDES)
	$(CC) -g -c rolldice.c

install: $(EXECFILES)
	install -d $(BIN) $(MAN)
	install ./rolldice $(BIN)
	gzip -9 -c rolldice.6 > rolldice.6.gz
	install -m644 rolldice.6.gz $(MAN)

man:
	sed s/__VERSION__/$(VERSION)/ rolldice.6.src > rolldice.6

clean:
	rm -f ./rolldice $(OBJFILES) rolldice.6 rolldice.6.gz

=== debian/changelog ===
rolldice (1.14-2) unstable; urgency=medium

  * fix-pointers.patch - Don't return int pointers (Fixes: #797669)

 -- Thomas Ross <th0m4sr0ss@gmail.com>  Tue, 01 Sep 2015 12:32:57 -0400

rolldice (1.14-1) unstable; urgency=medium

  * New upstream release (Closes: #74583, #672418)
  * Removed patch 01_remove_strip.diff - fixed upstream
  * Removed patch debian-changes-1.10-5
  * Updated watchfile
  * debian/control
     - Bump standards-version to 3.9.6
     - Removed quilt from build-depends
     - Added libreadline-dev to build-depends
     - Updated homepage
     - New maintainer (Closes: #784189)
     - Removed article from short description
  * Replace debian/rules with default dh call
  * Update debian/copyright to conform to DEP5
  * debian/patches:
     - dont-force-gcc.patch - Don't force the usage of gcc
     - no-timestamped-gzip.patch - Don't timestamp the man page
     - use-flags.patch - Make the Makefile use CPPFLAGS and CFLAGS

 -- Thomas Ross <th0m4sr0ss@gmail.com>  Mon, 24 Aug 2015 12:03:40 -0400

=== debian/control ===
Source: rolldice
Section: games
Priority: optional
Maintainer: Thomas Ross <th0m4sr0ss@gmail.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libreadline-dev
Homepage: https://github.com/sstrickl/rolldice

Package: rolldice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: virtual dice roller
 rolldice is a virtual dice roller that takes a string on the command 
 line in the format  of some fantasy role playing games like Advanced 
 Dungeons & Dragons [1] and returns the result of the dice rolls.
 .
 [1] Advanced Dungeons & Dragons is a registered trademark of TSR, Inc.

## rolldice 1.16

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 DESTDIR = 
 BIN = $(DESTDIR)/usr/games
 MAN = $(DESTDIR)/usr/share/man/man6
-CC = gcc
+CC ?= gcc
 OBJFILES = main.o rolldice.o
-LIBS = -lm -lreadline
+LIBS = -lreadline
 INCLUDES = rolldice.h
 
 
@@ -15,18 +15,18 @@
 all: rolldice man
 
 rolldice: $(OBJFILES)
-	$(CC) $(OBJFILES) -g -o rolldice $(LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(OBJFILES) -g -o rolldice $(LIBS)
 
 main.o: main.c $(INCLUDES)
-	$(CC) -g -c main.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -g -c main.c
 
 rolldice.o: rolldice.c $(INCLUDES)
-	$(CC) -g -c rolldice.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -g -c rolldice.c
 
 install: $(EXECFILES)
 	install -d $(BIN) $(MAN)
 	install ./rolldice $(BIN)
-	gzip -9 -c rolldice.6 > rolldice.6.gz
+	gzip -n -9 -c rolldice.6 > rolldice.6.gz
 	install -m644 rolldice.6.gz $(MAN)
 
 man:

=== debian/changelog ===
rolldice (1.16-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:22 +1100

rolldice (1.16-1build2) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 03:01:10 +0100

rolldice (1.16-1build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:03:53 +0000

rolldice (1.16-1) unstable; urgency=medium

  * New upstream release (Closes: #716255)
  * Removed patch dont-force-gcc.patch - merged upstream
  * Removed patch fix-pointers.patch - merged upstream
  * Removed patch no-timestamped-gzip.patch - merged upstream
  * Removed path use-flags.patch - merged upstream
  * debian/control
    - Updated maintainer email address to thomasross@thomasross.io
    - Bump standards-version to 3.9.8

 -- Thomas Ross <thomasross@thomasross.io>  Sat, 01 Oct 2016 14:36:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: rolldice
 Section: games
 Priority: optional
-Maintainer: Thomas Ross <th0m4sr0ss@gmail.com>
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Ross <thomasross@thomasross.io>
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libreadline-dev
 Homepage: https://github.com/sstrickl/rolldice
